<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0" 
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:element name="Device">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Base" minOccurs="0">
          <xs:annotation>
                        <xs:documentation>Device information table.</xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="LocalTime"  minOccurs="0" >
                <xs:annotation>
                                    <xs:documentation>System time on the device.</xs:documentation>
                </xs:annotation>
                <xs:complexType >
                  <xs:simpleContent>
                    <xs:restriction base="base:DateTime">
                      <xs:pattern value="^[0-9]{4}-[0-1][0-9]-[0-3][0-9]T[0-2][0-9]:[0-5][0-9]:[0-5][0-9]$" ></xs:pattern>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>

        <!--Transceivers Begin-->
        <xs:element name="Transceivers" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains information about ITU channels supported on the transceiver that is connected to this interface.</xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="Interface" minOccurs="0" nillable="true" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0"  type="base:NameAndIndexUnion" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>Interface index.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ActiveITUChannel" minOccurs="0"   type="base:UnsignedInteger32"  nillable="true" >
                      <xs:annotation>
                        <xs:documentation>The index of the specified ITU channel.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <!--Transceivers End-->

      </xs:choice>
    </xs:complexType>
  </xs:element>


</xs:schema>
